
void _efl_loop_message_future_data_set(Eo *obj, Efl_Loop_Message_Future_Data *pd, void *data);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_loop_message_future_data_set, EFL_FUNC_CALL(data), void *data);

void *_efl_loop_message_future_data_get(const Eo *obj, Efl_Loop_Message_Future_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_loop_message_future_data_get, void *, NULL);

Efl_Object *_efl_loop_message_future_efl_object_constructor(Eo *obj, Efl_Loop_Message_Future_Data *pd);


void _efl_loop_message_future_efl_object_destructor(Eo *obj, Efl_Loop_Message_Future_Data *pd);


static Eina_Bool
_efl_loop_message_future_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_LOOP_MESSAGE_FUTURE_EXTRA_OPS
#define EFL_LOOP_MESSAGE_FUTURE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_loop_message_future_data_set, _efl_loop_message_future_data_set),
      EFL_OBJECT_OP_FUNC(efl_loop_message_future_data_get, _efl_loop_message_future_data_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_loop_message_future_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_loop_message_future_efl_object_destructor),
      EFL_LOOP_MESSAGE_FUTURE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_loop_message_future_class_desc = {
   EO_VERSION,
   "Efl.Loop_Message_Future",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Loop_Message_Future_Data),
   _efl_loop_message_future_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_loop_message_future_class_get, &_efl_loop_message_future_class_desc, EFL_LOOP_MESSAGE_CLASS, NULL);
